#!/bin/sh

#
#       module Buffer
#

echo  \|-------------------------------------- module Buffer
echo  \|

gcc $DILIB_IMPORT/Buffer/Test/bufferParserTest1.c  $DILIB_CC -o $DILIB/MakeDir/bufferParserTest1

$DILIB/MakeDir/bufferParserTest1 <<EOF > $DILIB/MakeDir/bufferParser.test1.data
<html>
alpha
  <body>
  Hello World
  </body>
Omega
</html>
EOF

diff  $DILIB/MakeDir/bufferParser.test1.data \
      $DILIB_IMPORT/Buffer/Test/bufferParser.test1.target.data \
      >  $DILIB/MakeDir/bufferParser.test1.diff

if test -s $DILIB/MakeDir/bufferParser.test1.diff
then
  echo Buffer "****************************** ERROR BuffferParser test1 *****"
else
  echo ----- BufferParser Test 1 OK
  rm $DILIB/MakeDir/bufferParser.test1.diff
  rm $DILIB/MakeDir/bufferParser.test1.data
  rm $DILIB/MakeDir/bufferParserTest1
fi
