/*   -*- coding: utf-8 -*-  */

#include <stdio.h>     /* for printf */
#include <stdlib.h>    /* for exit */
#include "Explor.h"

extern char *optarg;
extern int   optind;
int getopt();

generLangMainPage(char *lang)
{
  SxmlNode *streamNode;
  printf("<?dilib file=\"%s/Site/%s/index.html\" ?>\n", ExplorAreaDir, lang );
  ExplorHtmlPrefix();
  printf("<title>Aurea %s, Main Page</title>\n", ExplorAreaCode);
  ExplorHtmlBeginBody();
  ExplorSidebar(NULL, NULL, NULL, NULL);
  ExplorHtmlHeader(NULL, NULL, NULL, NULL, NULL);
  printf("<div class=\"main\">");
  ExplorHtmlPrintParam("Area/mainPage/introduction");
  ExplorHtmlPrintParam3("Area","mainPage","mainAccessIntro");
  if (SxmlLength(ExplorListStream)>1)
    {
      ExplorHtmlPrintParam3("Area", "mainPage", "titleListStreams");
      SxmlReset (ExplorListStream);
      printf("<ul>\n");
      while (streamNode=SxmlNextNode(ExplorListStream)) 
	{
	  char *streamCode;
	  streamCode=SxmlLeafText(streamNode);
	  if (strcmp(streamCode, "Main")==0) continue;
	  else printf ("<li><a href=\"%s/index.html\">%s</a></li>\n", streamCode, ExplorGetNameStream(streamCode, NULL, NULL));
	}
      printf("</ul>\n");
    }
  ExplorHtmlPrintParam3("Area", "mainPage", "titleSeeAlso");
  printf("<ul>\n");
  printf ("<li><a href=\"Operations.html\">Opérations</a>\n");
  printf("</ul>\n");
  ExplorHtmlBottomDilib(0);
  printf("</div>");
  ExplorHtmlEndBody();
  return 0;
}

generOperation(char *lang)
{
  printf("<?dilib file=\"%s/Site/%s/Operations.html\" ?>\n", ExplorAreaDir, lang );
  ExplorHtmlPrefix();
  printf("<title>Operating %s</title>\n", ExplorAreaCode);
  ExplorHtmlBeginBody();
  ExplorSidebar(NULL, NULL, NULL, "Operations.html");
  ExplorHtmlHeader(NULL, NULL, NULL, NULL, NULL);
  printf("<div class=\"main\">");
  printf("<p>This is the operating entry for the area :<br>%s</br></p>\n", StrSearch(ExplorTableParam, "Area/areaTitle") );
  printf("\n<hr/><h2>Paramètres</h2>");
  ExplorHtmlPrintParamFile();
  ExplorHtmlBottomDilib(0);
  printf("</div>");
  ExplorHtmlEndBody();
  return 0;
}

main (int argc, char **argv) {
   int cOption;
   char *tabList;
   char *pathParamFile;
   while((cOption=getopt(argc,argv,"t:"))!=EOF)
     {switch (cOption)
	 {
	 case 't':
	   pathParamFile=optarg;
	   break;
	 }
     }

   ExplorParamInit(pathParamFile);

   generOperation("fr");
   generLangMainPage("fr");
   exit(0);
}
