%START W1
%START FIELD
%START TAG
%START ENT
%START TEXT
%START NO
%START XML_NAME
%START XML_1
%START XML_ATT_VAL
  char *tag;
  char *id;
%%
<W1>^[0-9].+\n   {printf("<server>");BEGIN FIELD;}
<FIELD>^"  NO"/[ ]  {strcpy(tag,yytext+2);
                           printf("<%s>",tag);
                           BEGIN NO;}
<FIELD>^"  "[A-Z][A-Z]/[ ]  {strcpy(tag,yytext+2);
                           printf("<%s>",tag);
                           BEGIN TAG;}
<FIELD>^[ ]+\n   {printf("<ID>%s</ID></server>\n", id);BEGIN W1;}
<NO>[0-9][0-9]"-"[0-9]+  {ECHO;strcpy(id,yytext); BEGIN TEXT;}
<NO>[0-9][0-9][0-9]+ {ECHO;strcpy(id,yytext); BEGIN TEXT;}
<NO>" : "        ;
<TAG>" : "       BEGIN TEXT;
<TEXT>[ ]*\n"       "   printf(" ");
<TEXT>"&"[A-Za-z]*/[ ]*\n"       "    {ECHO; BEGIN ENT;}
<TEXT>"</"[a-z]*/[ ]*\n"       "    {ECHO; BEGIN ENT;}
<TEXT>"<"                         {ECHO; BEGIN XML_NAME;}
<TEXT>"</"                         {ECHO; BEGIN XML_NAME;}
<XML_NAME>[ ]*\n[ ]*             ;
<XML_NAME>[A-Za-z][A-Za-z0-9]*    {ECHO; BEGIN XML_1;}
<XML_1>">"                       {ECHO;BEGIN TEXT;}
<XML_1>[ ]*\n[ ]*             ;
<XML_1>[A-Za-z][A-Za-z0-9]*=    {printf(" %s\"",yytext); BEGIN XML_ATT_VAL;}
<XML_ATT_VAL>">"                {printf("\">"); BEGIN TEXT;}
<XML_ATT_VAL>[ \n ]+         {printf("\" "); BEGIN XML_1;}
<ENT>[ ]*\n"       "   BEGIN TEXT;
<TEXT>[ ]*\n     {BEGIN FIELD; printf("</%s>",tag);}
%%
main()
{
  tag=malloc(10);
  id=malloc(20);
  BEGIN W1;
  yylex();
}
