#!/bin/sh

(
cat $1   \
   | InistIlib2Sxml  \
   | SxmlRecordPutKey  

cat $2   \
   | InistServer2Sxml  \
   | SxmlRecordPutKey 
) | sort \
   | IndexBuildRec   \
   | InistSgml2utf8   \
   | InistPair2Tei -t GenieLogV1/Input/AreaParam.data.tab -s Main   \
   | InistAffiliationSetCountry   \
   | TeiKeywordsFromTable -s Pascal -m $DILIB/data/Inist/FrancisPers.tab -S Wicri -T person -L fr \
   | TeiKeywordsFromTable -s Pascal -m $DILIB/data/Inist/PascalGeo.tab -S Wicri -T geographic -L fr \
   | TeiKeywordsFromTable -s Pascal -m $DILIB/data/Inist/PascalConceptFr.tab -S Wicri -T concept -L fr \
   | InistCurationCountry  
