%{

 int col;
 int flagPurge;
 int beginLine()
 {
   if (flagPurge==1) return 1;
   flagPurge=1;
   col=1;
   printf("<r>");
   return 1;
 }
%}

%START SAUT
%START TABLE
%START ROW
%START CL1
%START CL2
%START CS
%START SZA2
%START LIST
%START SCRIPT
%START VARS
%START TAGS
%START LINKS

%%
<SAUT>.                      ;
<SAUT>\n                     ;
<SAUT>"\{|"                  BEGIN TABLE;
<TABLE>"|-"\n"!"             ;
<TABLE>.                     ;
<TABLE>\n                    ;
<TABLE>"|-"                    {BEGIN ROW;printf("<r>");col=1; flagPurge=1;}
<ROW>[ ]*\n"|\[\["/[^\|\]\n]+"|" {BEGIN CL2; beginLine();printf("<c%d><l>",col);}
<ROW>[ ]*\n"|\[\["             {BEGIN CL1; beginLine();printf("<c%d><l>",col);}
<ROW>[ ]*\n"|\{\{Inquiry|"     {BEGIN SCRIPT; beginLine();printf("<c%d><script>",col);}
<ROW>[ ]*\n"|"                 {BEGIN CS;  beginLine();printf("<c%d><i>",col);}
<ROW>[ ]*\n"|"/[ ]*\n          { beginLine();printf("<c%d>",col);printf("</c%d>",col++); }
<ROW>[ ]*\n"|-"                {printf("</r>\n"); flagPurge=0;}
<SCRIPT>\}\}[ ]*               {printf("</script></c%d>",col++);BEGIN ROW;}
<SCRIPT>"\{\{Inquiry key|"     {printf("<key>");BEGIN VARS;}
<SCRIPT>[^\{\[\}<\n]+            {printf("<text>%s</text>",yytext);}
<SCRIPT>"<"                    {printf("<tag>"); BEGIN TAGS;}
<SCRIPT>"\[\["                 {printf("<link>"); BEGIN LINKS;}
<SCRIPT>\n                     {printf("<text>&#x0A;</text>");}
<TAGS>[^>]                     ECHO;
<TAGS>">"                      {printf("</tag>"); BEGIN SCRIPT;}
<VARS>.                        ECHO;
<VARS>"\}\}"                   {printf("</key>");BEGIN SCRIPT;}
<LINKS>.                        ECHO;
<LINKS>"\]\]"                   {printf("</link>");BEGIN SCRIPT;}
<CL2>"|"                       printf("</l><i>");
<CL2>.                         ECHO;
<CL2>"\]\]"[ ]*","             {printf("</i>"); BEGIN LIST;}
<CL2>"\]\]"                    {printf("</i></c%d>",col++);BEGIN ROW;}
<CL1>.                         ECHO;
<CL1>"\]\]"                     {printf("</l></c%d>",col++);BEGIN ROW;}
<CL1>"\]\]"[ ]*","             {printf("</l>"); BEGIN LIST;}
<LIST>[ ]*"\[\["               {BEGIN CL1; printf("<l>");}
<CS>./\n                        {ECHO;printf("</i></c%d>",col++);BEGIN ROW;}
<CS>.                          ECHO;
<ROW>[ ]*\n"|\}"                 BEGIN SAUT;
%%
main()
{
  BEGIN SAUT;
  yylex();
}
