/*   -*- coding: utf-8 -*-  */

#include <stdio.h>     /* for printf */
#include <stdlib.h>    /* for exit */
#include <getopt.h>
#include "SxPath.h"
#include "Buffer.h"

SxmlNode *docInput;
SxmlNode *docu;

int main()
{
  while ((docInput=SxmlInputNextDocumentElement()))
    {
      if(SxmlNodeHasName(docInput,"PubmedArticleSet"))
	{
	  SxmlReset (docInput);
	  while ((docu=SxmlNextNode(docInput)))
	    {
	      if(SxmlNodeHasName(docu,"PubmedArticle")) 
		{
		  SxmlPrint(docu);
		  putchar('\n');
		}
	    }
	}
    }
}
