#!/bin/sh
if test -e  $EXPLOR_AREA/Data/Main/Merge/biblio.hcs
then
echo "----- Executing -rf  $EXPLOR_AREA/Data/Main/Merge/biblio.*"
rm -rf  $EXPLOR_AREA/Data/Main/Merge/biblio.*
fi
(
  HfdCat /Users/jacquesducloy/Documents/WicriRoot/Wicri/Manuel/explor/Rabelais.storage/RabelaisV1/Data/PascalFrancis/Checkpoint/biblio.hfd 
  HfdCat /Users/jacquesducloy/Documents/WicriRoot/Wicri/Manuel/explor/Rabelais.storage/RabelaisV1/Data/PubMed/Checkpoint/biblio.hfd 
  HfdCat /Users/jacquesducloy/Documents/WicriRoot/Wicri/Manuel/explor/Rabelais.storage/RabelaisV1/Data/Hal/Checkpoint/biblio.hfd 
)  |  SxmlSelect -n NONE -g record/TEI/teiHeader/fileDesc/publicationStmt/idno@type=doi/1 -p @g1 -p @2  \
   | sort | ExplorMergeFromCheckpoint \
   | SxmlSelect -g record/TEI/teiHeader/fileDesc/publicationStmt/date/attribute::when -p @g1 -p @1 \
   | sort -rn \
   | SgmlFast -c 1  \
   | TeiPutRefToIdno -t wicri:Area/Main/Merge  \
   | HfdBuild -h /Users/jacquesducloy/Documents/WicriRoot/Wicri/Manuel/explor/Rabelais.storage/RabelaisV1/Data/Main/Merge/biblio

 echo "==== " Main, step Merge, biblio done
 HfdCat /Users/jacquesducloy/Documents/WicriRoot/Wicri/Manuel/explor/Rabelais.storage/RabelaisV1/Data/Main/Merge/biblio.hfd | wc 
