/****************************************************************************
*
*      Projet  : DilibPro
*      Module  : SgmlNode
*      Fichier : SgmlNodePrivate.h
*      Auteur  : J. Ducloy
*      Origine : J. Ducloy
*
*      Derniere mise a jour Juillet 95
*
*      Regroupe les oprations modifiant les objets de base
*      procdures interdites en usage normal 
************************************************************************
* 
*     Copyrigth (C) 1995 CRIN - CNRS & INRIA Lorraine
*
****************************************************************************/

#ifndef _SGML_NODE_PRIVATE_H_
#define _SGML_NODE_PRIVATE_H_

#include "SgmlNode.h"

extern SgmlNode  *SgmlNodesFreeList;
extern char      *SgmlNodeFormatData;
extern char      *SgmlNodeFormatMark;
extern char      *SgmlNodeFormatComment;
extern char      *SgmlNodeFormatAtt;
extern char      *SgmlNodeFormatEmptyMark;
extern char      *XmlNodeFormatEmptyMark;

extern int        SgmlNumberOfNodes;
#define    SgmlRplaTag(x,y)        (x->info1=y)
#define    SgmlRplaAttList(x,y)    (x->info2.n=y)
#define    SgmlRplaAttId(x,y)      (x->info1=y)
#define    SgmlRplaAttVal(x,y)     (x->info2.v=y)
#define    SgmlRplaDataString(x,y) (x->info1=y)


#endif  /* _SGML_NODE_PRIVATE_H_  */
