.TH SxmlRecord 1 "15 November 2002"
.SH NAME
SxmlRecord, SxmlRecordHead, SxmlRecordTail, SxmlRecordRange \- display SxmlRecords
.SH SYNOPSIS
.B SxmlRecordHead [ 
.BI \- number
.B ] <
.I standardInput
.P
.B SxmlRecordTail [ 
.BI \- number
.B ] <
.I standardInput
.P
.B SxmlRecordRange
.BI \-f numberFrom
.BI \-t numberTo " <"
.I standardInput
.P
.SH DESCRIPTION
The
.B SxmlRecord 
type has been introduced for handling streams which contain 
Sxml documents and other kinds of data like Sxml fragments or text.
A more complete description can be found at following url:
.DILIB ENV DILIB_TARGET_URL /Documentation/DilibPath/xmlDilib.fre.html#xmlRecord
.TP 
.B SxmlRecordHead
copies the first 
.I number
of lines 
to the standard output.
.P
.RS
The default value of
.I number
is
.B 10
lines.
.RE
.TP
.B SxmlRecordTail
copies the last
.I number
of lines 
to the standard output.
.P
.RS
The default value of
.I number
is
.B 10
lines.
.RE
.TP
.B SxmlRecordRange
copies the line from line 
.I numberFrom
to line
.I numberTo
of the standard input to the standard output.
.SH AUTHORS
INIST-CNRS: Jacques Ducloy, Francois PARMENTIER
.SH "SEE ALSO"
.BR SxmlRecord (3).
