# -*- coding: utf-8 -*-

#
#  shell script $DILIB_IMPORT/Wicri/Data/France/catLabosFrance.sh
#
#  main usage: building: $(DILIB)/data/Wicri/France/LaboKey.fr.tab
#

DIR_IMPORT=$DILIB/TestImportWicri

set -e

USAGE="usage: sh $DILIB_IMPORT/Wicri/Data/France/catLabosFrance.sh -d directory"

while getopts d: c
do
  case $c in
   d) DIR_IMPORT=$OPTARG;;
   \?) echo -$c $OPTARG unknowed option
       echo $USAGE
       exit 2;;
  esac
done


cat  $DIR_IMPORT/France/LabosBourgogne.wiki
cat  $DIR_IMPORT/France/LabosBretagne.wiki
cat  $DIR_IMPORT/France/LabosCentre.wiki
cat  $DIR_IMPORT/France/LabosFrancheComte.wiki
cat  $DIR_IMPORT/France/LabosIledeFrance.wiki
cat  $DIR_IMPORT/France/LabosLanguedoc.wiki
cat  $DIR_IMPORT/France/LabosMidiPyrenees.wiki
cat  $DIR_IMPORT/France/LabosPaca.wiki
cat  $DIR_IMPORT/France/LabosRhoneAlpes.wiki
cat  $DIR_IMPORT/France/LabosNordPasDeCalais.wiki

cat  $DIR_IMPORT/France/LabosOrgFr.wiki
cat  $DIR_IMPORT/Lorraine/LabosFr.wiki
cat  $DIR_IMPORT/Alsace/LabosFr.wiki
cat  $DIR_IMPORT/France/CnrsUpr.wiki
cat  $DIR_IMPORT/France/LabosInterUniv.wiki
