#
#                File:             Import/Wicri/Data/Musique/WicriMusique.mk
#                Module appelant:  DilibMake/DilibWicriData.mk
#

$(DILIB_DATE)/Wicri/WicriMusique.data:$(DILIB_DATA_TARGET)/Wicri/Musique/printIssnMusicologie.dict  \
                                      $(DILIB_DATA_TARGET)/Wicri/Musique/persMusicologie.dict
	$(TOUCH)

$(DILIB_DATA_TARGET)/Wicri/Musique/printIssnMusicologie.dict:$(DILIB_DATA_IMPORT)/Wicri/Musique/printIssnMusicologie.wiki \
                                          $(DILIB_IMPORT)/Wicri/buildTableEditInclude.sh  \
                                          $(DILIB)/Date/MediaWiki.bin
	$(DILIB_IMPORT)/Wicri/buildTableEditInclude.sh < $(DILIB_DATA_IMPORT)/Wicri/Musique/printIssnMusicologie.wiki > $@

$(DILIB_DATA_TARGET)/Wicri/Musique/persMusicologie.dict:$(DILIB_DATA_IMPORT)/Wicri/Musique/persMusicologie.wiki \
                                          $(DILIB)/bin/TeiTablePersFromWiki  \
                                          $(DILIB_IMPORT)/Wicri/buildTablePersFromWiki.sh  \
                                          $(DILIB)/Date/MediaWiki.bin
	$(DILIB_IMPORT)/Wicri/buildTablePersFromWiki.sh -r wicri-musique.fr < $(DILIB_DATA_IMPORT)/Wicri/Musique/persMusicologie.wiki > $@


#-------------------------- end Import/Wicri/Data/Musique/WicriMusique.mk ----------------------------
