/*   -*- coding: utf-8 -*-  */

/***********************************************************************
*
*        Module   : Wicri
*        Fichier  : WicriPaysFromEn.h
*        Auteur   : J. DUCLOY
*        Date     : janvier 2013
*
************************************************************************/

#ifndef  _WICRI_PAYS_FROM_EN_H
#define _WICRI_PAYS_FROM_EN_H

#include "SxmlNode.h"
#include "Wicri.h"

char *WicriRegionInSubFieldCountry;

char *WicriPaysFromEnglish(char *enStr);
SxmlNode *WicriFindPaysInAffEn(char *aff);
SxmlNode *WicriSetPaysInAffEn(char *aff, SxmlNode *affiliation);
SxmlNode *WicriUnivFrFromKey(char *enStr);
SxmlNode *WicriUnivFrFromSubstr(char *enStr);
SxmlNode *WicriUnivFrFromLcKey(char *enStr);
SxmlNode *WicriPaysFromCityByKey(char *enStr);
char *WicriPaysFromIsoC2(char *c2Str);
char *WicriPaysFromIsoC3(char *c3Str);
char *WicriPaysFromOldIsoC3(char *c3Str);
SxmlNode *WicriAffiliationSetPaysFromCity(SxmlNode *affiliation, char *countryEnStr);
SxmlNode *WicriSetPaysFromEnglish(SxmlNode *affiliation, char *countryEnStr); 

/* From  WicriOldEuropeTools.c */

SxmlNode *WicriOldIsoCodeToPays(SxmlNode *affililiation, SxmlNode *countryNode, char *cityStr, char *adrStr);

#endif /* _WICRI_PAYS_FROM_EN_H */

