# -*- coding: utf-8 -*-
#
#----------------------- Fichier d'initialisation $DILIB/init.sh -----------------------

# Il est ici paramétré pour une Installation sur le MacBook de Jacques Ducloy sous Mac OS X
#                  avec une compilation en mode Main


# A définir pour chaque site

DILIB_BOTTOM=/applis/Dilib
# sur la machine lorexplor   : DILIB_BOTTOM=/applis/lorexplor/Dilib  

export DILIB_BOTTOM

# A modifier pour chaque changement de version (mais identique pour chaque site)

DILIB_ROOT=$DILIB_BOTTOM/V0.6/V0.6.3/V0.6.38

export DILIB_ROOT

# Personnalisation (à définir pour chaque site / ici pour un site mono utilisateur)
# Ce dispositif est esentiellement destiné à la génération de  serveurs ISTEX // Il peut être supprimé sinon.

source $DILIB_BOTTOM/initLocal.sh
# exemple pour un site multi utilisateur : source ~/dilibInitLocal.sh 

# A définir pour chaque site (peut être supprimé pour une installation sans relations avec Wicri)

WICRI_ROOT=/applis/Wicri
export WICRI_ROOT

#=====================================================================================
#      Ce qui suit ne doit pas être modifié
#

DILIB=$DILIB_ROOT/Main
export DILIB

DILIB_IMPORT=$DILIB_ROOT/Import
export DILIB_IMPORT

DILIB_MODE=Main
export DILIB_MODE

source $DILIB_IMPORT/setVersion.sh

MANPATH=$DILIB/man:$MANPATH
PATH=$DILIB/bin:$PATH
DILIB_CC=" -I$DILIB/include $DILIB/lib/libDilib.a -ll -g"
DILIB_WORKSPACE=/tmp
export DILIB_CC
export DILIB_WORKSPACE

DILIB_TARGET_BOTTOM=/applis/lorexplor/Dilib
export DILIB_TARGET_BOTTOM

WICRI_TARGET_ROOT=/applis/lorexplor/Wicri
export WICRI_TARGET_ROOT
