/*   -*- coding: utf-8 -*-  */

/**********************************************************************
*
*  module   : Ccsd
*  comande  : CcsdHal2CorpusStep1
*  fichier  : CcsdHal2CorpusStep1.c
*  Auteur   : Jacques DUCLOY
*  Date     : 2013
*
***********************************************************************/

#include <stdio.h>     /* for printf */
#include <stdlib.h>    /* for exit */
#include <getopt.h>
#include "SxmlNode.h"
#include "Buffer.h"
SxmlNode *docInput;
SxmlNode *typDoc;
SxmlNode *docu;
SxmlNode *elemTypDoc;

int main()
{
  while ((docInput=SxmlInputNextDocumentElement()))
    {
      if(SxmlNodeHasName(docInput,"documents"))
	{
	  SxmlReset (docInput);
	  while ((typDoc=SxmlNextNode(docInput)))
	    {
	      if(SxmlNodeHasName(typDoc,"typdoc")) 
		{
		  char *n1;
		  char *i1;
		  n1=SxmlGetAttribute(typDoc,"name");
		  i1=SxmlGetAttribute(typDoc,"id");
		  SxmlReset(typDoc);
		  while ((docu=SxmlNextNode(typDoc)))
		    {
		      if(SxmlNodeHasName(docu,"document")) 
			{
			  elemTypDoc=SxmlElementCreate("typdoc");
			  SxmlSetAttribute(elemTypDoc,"name",n1);
			  SxmlSetAttribute(elemTypDoc,"id",i1);
			  SxmlAddFirstChild(docu,elemTypDoc);
			  SxmlPrint(docu);
			  putchar('\n');
			}
		    }
		}
	    }
	}
    }
  exit (EXIT_SUCCESS);
}
