/******************************************************************************
*
*               Projet   : DilibPro
*               Module   : CharSet
*               Fichier  : CharSetMisc.c
*               Auteur   : J. DUCLOY
*               Date     : Aout 93
***********************************************************************************
*
* Copyright (c) 1994 CNRS/CRIN & INRIA Lorraine
* 
******************************************************************************/
#include <ctype.h>
#include <string.h>


char *CharSetSkipSetChar(s,setChar)
     char *s;
     char *setChar;
{
  char *s1;
  char *s2;
  char c;
  s1=s;
  s2=s;
  while((c=*s1++))
    {
      if(!strchr(setChar,c))*s2++=c;
    }
  *s2='\0';
  return s;
}

char *CharSetCharReplace(s,setChar,newChar)
     char *s;
     char *setChar;
     char newChar;
{
  char *s1;
  char c;
  s1=s;
  while((c=*s1++))
    {
      if(strchr(setChar,c))*(s1-1)=newChar;
    }
  return s;
}

char *CharSetToLower(s)
     char *s;
{
  char *s1;
  char c;
  s1=s;
  while((c=*s1))
    {
      *s1=tolower(c);
      s1++;
    }
  return s;
}

char *CharSetToUpper(s)
     char *s;
{
  char *s1;
  char c;
  s1=s;
  while((c=*s1))
    {
      *s1=toupper(c);
      s1++;
    }
  return s;
}

char *CharSetSpaceReduce(s)
     char *s;
{
  char *s1;
  char *s2;
  char c;
  s1=s;
  s2=s;

  while(((c=*s1++)&&(c==' ')));

  if((*s2++=c))
    {
      while((c=*s1++))
	{
	  *s2++=c;
	  if(c==' ')
	    {
	      while((c=*s1++)&&(c==' '));
	      if(c)*s2++=c;
	      else break;
	    }
	}
      if(*(s2-1)==' ')*(s2-1)='\0';
      else *s2='\0';
    }
  return s;
}
