
#
#   Module : Eng
#   File   : Eng.mk
#

include  $(DILIB)/MakeDef.mk

$(DILIB)/Date/Eng.mod: $(DILIB)/Date/Eng.data 
	$(TOUCH)

#----------------------------------------------------------------
#  Data files
#

$(DILIB)/Date/Eng.data:  $(DILIB)/data/Eng/StopWord.dict      \
                         $(DILIB)/data/Eng/Utf8Profile.dict    \
                         $(DILIB)/data/Eng/StopWordTit.dict
	$(TOUCH)

$(DILIB)/data/Eng/StopWord.dict: $(DILIB_IMPORT)/Eng/EngStopWord.wiki  \
                                    $(DILIB)/bin/Utf8StopWordsDictFromWiki
	$(DILIB)/bin/Utf8StopWordsDictFromWiki <  $(DILIB_IMPORT)/Eng/EngStopWord.wiki > $@

$(DILIB)/data/Eng/Utf8Profile.dict: $(DILIB_IMPORT)/Eng/Data/EngUtf8Profile.dict 
	cp  $(DILIB_IMPORT)/Eng/Data/EngUtf8Profile.dict $@

$(DILIB)/data/Eng/StopWordTit.dict: $(DILIB_IMPORT)/Eng/EngStopWordTit.wiki  \
                                   $(DILIB)/data/Eng/StopWord.dict          \
                                   $(DILIB_IMPORT)/Eng/buildEngStopWordTit.sh
	sh $(DILIB_IMPORT)/Eng/buildEngStopWordTit.sh > $@
