.TH HfdBuild 1 "1 November 1993"
.SH NAME
HfdBuild, DamHfdMulti \- build hierarchy of hfd files
.SH SYNOPSIS
.PP
.B HfdBuild
[
.B \-s
]
.B \-h
.I hfd_name
[
.B \-f
.I hfd_descriptor
] 
.PP
.B HfdBuild
transforms a stream of records into a hfd file the organisation 
of which is described by 
.BR DamHfd (5).
.SH OPTIONS
.SS Mono Hfd
.B \-s
(skip key) skip beginning of each record (until tab).
.PP
.I hfd_name
is the name of root of resulting hfd file.
.PP
.I hfd_descriptor
is a stream containning hfd description (if omitted a default descriptor
corresponding to Ilib Hfd structure is taken).
.SS Multi Hfd
.B \-d
.SH EXAMPLE
.PP
Let file struct being:
.nf
<hfd>
     <struct>
          <dir>
               <digit>ABC
               <digit>123
          </dir>
          <dir>
               <digit>abc
               <digit>123
          </dir>
          <file>
               <digit>xy
               <digit>01
          </file>
          <key>
               <digit>01
               <digit>05
          </key>
          <ext>
               <digit>0123456789
          </ext>
     </struct>
</hfd>
.PP
Following command :
.nf
HfdBuild -h resul -f struct
.PP
on file:
.nf
<a>aaaaaaa</a>
<a>bbbbbbb</a>
<a>ccccccc</a>
<a>ddddddd</a>
<a>eeeeeee</a>
.PP
will produce:
.nf
resul.hfd
     A1.dd
          a1.dd
               x0.df
                    A1a1x000     <a>aaaaaaa</a>
                    A1a1x005     <a>bbbbbbb</a>
                    A1a1x010     <a>ccccccc</a>
                    A1a1x015     <a>ddddddd</a>
               x1.df
                    A1a1x100     <a>eeeeeee</a>
			
.SH "SEE ALSO"
.BR DamHfd (5).
.SH AUTHOR
.PP
first experimentation: INIST (DRPN) - J. Ducloy, D. Besagni, P. Charpentier
.PP
new development: CRIN + INRIA Lorraine - J. Ducloy
