.TH IndexSelect 1 "1 November 1994"
.SH NAME
IndexSelect \- records selections from hfd Index.
.SH SYNOPSYS
.PP 
.B IndexSelect
\-h
.I indexHfd
[
.B -Si
]
[
.B -s
entryPath
]
-k
.I key
[
\-k
.I key
]...
.SH DESCRIPTION
.PP
.B IndexSelect
selects records from a Dilib Index (hfd organization).
.SH OPTIONS
.PP
.B \-h
.I indexHfd
introduces the name of HFD containing given index.
.PP
.B \-S
splits inverted list of resulting records contained into elements <e> of list <l>
.PP
.B \s
.I entryPath 
do the same thing on given path.
.PP
key is an entry of Index.
.PP
.B \-i
this flag introduces input mode: the key part of the input record is replaced
by corresponding record in the index file.
.SH EXAMPLE
Let myIndex.hfd contain records like:
.PP
<idx><mcl>PASCAL</mcl><f>2</f><l><e>002728</e><e>002924</e></l><idx>
.PP
Result of command:
.PP
IndexSelect -S -h myIndex -k PASCAL
.PP
will be
.PP
.nf
002728
002924
.PP
Extracting subset of records containing key-words PASCAL or BASIC from
main HFD myBase.hfd with index myBase.ikw.hfd:
.PP
.nf
IndexSelect -S -h myBase.ikw -k PASCAL -k BASIC 
      | sort -u 
      | DamHfdSelect -h myBase

.SH "SEE ALSO"
.BR IndexQuery (1),
.BR IndexRead (3)

