

#   Module  : Marc
#   Fichier : Marc.mk
#

include  $(DILIB)/MakeDef.mk

$(DILIB)/Date/Marc.mod: $(DILIB)/Date/Marc.bin 
	$(TOUCH)

#------------------------------------------------------------------
# Les binaires
#

$(DILIB)/Date/Marc.bin: $(DILIB)/bin/Iso2709ToSxml      \
                               $(DILIB)/bin/Iso2709SplitFile   \
                               $(DILIB)/bin/UsMarcToTei        \
                               $(DILIB)/bin/MarcXmlFromIso2709
	$(TOUCH)

$(DILIB)/bin/Iso2709ToSxml: $(DILIB_IMPORT)/Marc/Iso2709ToSxml.c \
                            $(DILIB)/Date/SxmlNode.lib
	$(CC)  $(DILIB_IMPORT)/Marc/Iso2709ToSxml.c   -I$(DILIB)/include \
	                         $(DILIB)/lib/libDilib.a -o $@

$(DILIB)/bin/Iso2709SplitFile: $(DILIB_IMPORT)/Marc/Iso2709SplitFile.c \
                               $(DILIB)/Date/CharSet.lib
	$(CC)  $(DILIB_IMPORT)/Marc/Iso2709SplitFile.c   -I$(DILIB)/include \
	                         $(DILIB)/lib/libDilib.a -o $@

$(DILIB)/bin/MarcXmlFromIso2709: $(DILIB_IMPORT)/Marc/MarcXmlFromIso2709.c \
                               $(DILIB)/Date/SxmlNode.lib
	$(CC)  $(DILIB_IMPORT)/Marc/MarcXmlFromIso2709.c   -I$(DILIB)/include \
	                         $(DILIB)/lib/libDilib.a -o $@

$(DILIB)/bin/UsMarcToTei: $(DILIB_IMPORT)/Marc/UsMarcToTei.c \
                          $(DILIB)/Date/SxmlNode.lib  \
                          $(DILIB)/Date/Explor.lib
	$(CC)  $(DILIB_IMPORT)/Marc/UsMarcToTei.c   -I$(DILIB)/include \
	                         $(DILIB)/lib/libDilib.a -o $@


#------------------------------- end Marc.mk ----------------
