<?php

function IndexGetClusterDomDocument (&$paramTable, $clusterCode, $clusterRank)
{
  $clusterFile=$paramTable["#dataPath"].$clusterCode;
  if (file_exists($clusterFile))
    {
      $clusterFileTable=file($clusterFile);
      $clusterString=$clusterFileTable[$clusterRank-1];
      $clusterDomDocument=new DomDocument();
      $clusterDomDocument->loadXML("<?xml version=\"1.0\" encoding=\"UTF-8\" ?>".$clusterString);
      return $clusterDomDocument;
    }
  else
    {
      echo "**** file ". $clusterFile." not founded";
    }
}

function IndexItemNewCallBegin(&$paramTable, $call, $len, $from, $size)
{
  echo '<br/>[';
  echo $from;
  echo '-';
  echo $from+$size;
  echo '] ';
  if ($len>20) echo '[<a href="'.$call.'&size=20">0 - 20</a>]'; 
  if ($len>50) echo '[<a href="'.$call.'&size=50">0 - 50</a>]'; 
  else echo '[<a href="'.$call."&size=".$len.'">0 - '.$len.'</a>]';   
}

function IndexItemNewCallNext(&$paramTable, $call, $len, $from, $size)
{
  $begin=$from+$size;
  if ($begin>$len)return;
  $todo=$len-$begin;
  if ($todo < 20)
    {
      if ($size< $todo) echo '[<a href="'.$call.'&from='.$from+$size.'&size='.$size.'">'.$from+$size.'-'.$from+$size+$size.'</a>]'; 
      echo '[<a href="'.$call.'&from='.($from+$size).'">'.($from+$size).'-'.($len-1).'</a>]'; 
    }
  if ($size < 20) echo '[<a href="'.$call.'&from='.($from+$size).'&size='.$size.'">'.$from+$size.'-'.($from+$size+$size).'</a>]'; 
  echo '[<a href="'.$call.'&from='.($from+$size).'&size=20">'.($from+$size).'-'.($from+$size+20).'</a>]'; 
}

function IndexItemNewCall(&$paramTable, $call, $len, $from, $size)
{
  if ($from==0)
    {
      if ($size>= $len) return;
    }
  IndexItemNewCallBegin($paramTable, $call, $len, $from, $size);
  IndexItemNewCallNext($paramTable, $call, $len, $from, $size);
      /*
      if ($size<20)
	{
	  echo '[<a href="'.$call."&from=".$size."&size=".$size.'">'.$size.' - '.(2*$size).'</a>]'; 
	}
      echo '[<a href="'.$call."&from=".$size."&size=20">'.$size.' - '.($size+20).'</a>]'; 
      return;
    }
  if ($len<$size)
    {
       if ($size>20) echo '[<a href="'.$call.'&size=20">0 - 20</a>]'; 
       return;
    }

      if ($size<50) 
	{
	  if ($len>$size)
	    {
	      echo '[<a href="'.$call."&from=".$size."&size=".(2*$size).'">'.$size.' - '.(2*$size).'</a>]'; 
	    }
	}
      return;
    }
  if ($len>$size)
    {
      if ($len>20) 
	{
	  echo '[<a href="'.$call.'&size=20">0 - 20</a>]'; 
	}
    }
*/
}

function IndexPrintCluster(&$paramTable, $stream, $step, $page, $clusterCode, &$clusterDomDocument )
{
  /*
  $assocCode=ExplorGetParamK2(&$paramTable,"clusterFromAssoc",$clusterCode);
  $indexCode=ExplorGetParamK2(&$paramTable,"assocFromIndex",  $assocCode);
  */
  $assocCode=ExplorGetParamK5($paramTable, "Area", $stream, $step, $clusterCode, "fromAssoc");
  $indexCode=ExplorGetParamK5($paramTable, "Area", $stream, $step, $clusterCode, "fromIndex");
  $clusterRoot=$clusterDomDocument->documentElement;
  echo "<table>";
  echo "<tr><td>";
  echo "<h4>Terms</h4>";
  $clusterListTerms=SxmlNodeGetFirstChildByTagName($clusterRoot, "lmot");
  echo "<table>";
  foreach ($clusterListTerms->childNodes as $term) 
    {
      echo "<tr>";
      echo "<td>".$term->getAttribute("f")."</td>";
      echo '<td><a href="indexItem.php?key='.$term->nodeValue.'&index='.$indexCode.'">'.$term->nodeValue."</a>\n";
      echo "</td>";
      echo "</tr>";
    }
  echo "</table>";
  echo "</td><td>";
  echo "<h4>Associations</h4>";
  $clusterListAssoc=SxmlNodeGetFirstChildByTagName($clusterRoot, "lassoc");
  echo "<table>";
  echo "<tr><th>Freq.</th><th>Weight</th><th>Association</th></tr>";
  foreach ($clusterListAssoc->childNodes as $assoc) 
    {
      echo "<tr>";
      echo "<td>".SxmlNodeGetFirstChildByTagName($assoc,"f" )->nodeValue."</td>";
      echo "<td>".SxmlNodeGetFirstChildByTagName($assoc,"p" )->nodeValue."</td>";
      $t1=SxmlNodeGetFirstChildByTagName($assoc,"m1" )->nodeValue;
      $t2=SxmlNodeGetFirstChildByTagName($assoc,"m2" )->nodeValue;
      echo '<td><a href="assoc.php?i1='.$indexCode."&i2=".$indexCode."&k1=".$t1."&k2=".$t2.'">'.$t1." - ".$t2."</a>\n";
      echo "</td>";
      echo "</tr>";
    }
  echo "</table>";
  echo "</td></tr>";
  echo "</table>";
  echo "<hr/>";
  echo "<t2>Documents par ordre de pertinence</t2>";
  echo "<table>";
  IndexItemPrintListRef($paramTable, $clusterDomDocument,  $stream, $step, $page, 0, 100);
  echo "</table>";
}

function IndexHeadPrintListCluster(&$paramTable, $stream, $step, $indexCode)
{
  echo "<!--  ".$indexCode." -->\n";
  $listClusterStr=ExplorGetParam($paramTable, "Area/".$stream."/".$step."/".$indexCode."/listCluster");
  if (!$listClusterStr) return NULL;
  echo ExplorGetParamK5($paramTable, "Area", $stream, $step, $indexCode, "messIndexHeadClusters");
  $listClusterDomDocument=new DomDocument();
  $listClusterDomDocument->loadXML("<?xml version=\"1.0\" encoding=\"UTF-8\" ?>".$listClusterStr);
  echo "<ul>\n";
  $listCluster=$listClusterDomDocument->documentElement;
 echo "<!-- ".$listClusterDomDocument->saveXML($listClusterDomDocument->documentElement)." -->";
  foreach ($listCluster->childNodes as $cluNode)
    {
      echo '<li><a href="clusterHead.php?clusterCode='.$cluNode->nodeValue.'">'.$cluNode->nodeValue."</a></li>";
    }
  echo "</ul>\n";
}

function IndexHeadPrintSortedList(&$paramTable, &$indexTreeNode, $indexCode,  $stream, $step, $page)
{
  $indexSortFile=$paramTable["#dataPath"].$indexCode.".sort";
  
  if (file_exists($indexSortFile))
    {
      $indexFileTable=file($indexSortFile);
      $i=0;
      echo "<table>";
      while ($i < count($indexFileTable))
        {
          $indexRecDocument=new DomDocument();
          $indexRecDocument->loadXML("<?xml version=\"1.0\" encoding=\"UTF-8\" ?>".$indexFileTable[$i]);
          echo "<tr><td>";
          $freq= SxmlNodeGetFirstChildByTagName($indexRecDocument->documentElement,"f")->nodeValue;
          echo $freq;
          echo "</td><td>";
          $kw= SxmlNodeGetFirstChildByTagName($indexRecDocument->documentElement,"kw")->nodeValue;
	  $phpIndexItem=$indexTreeNode->getAttribute("phpItem");
	  if (!$phpIndexItem) $phpIndexItem=ExplorGetParamK5($paramTable, "Area", $stream, $step, $page, "pageIndex".$indexCode);
          echo "<a href=\"".$phpIndexItem."&key=".urlencode($kw)."\">".$kw."</a>";
          $i++;
          echo "</td></tr>";
        }
      echo "</table>\n";
    }
  else
    {
      echo "**** file ". $indexSortFile." not founded";
    }
} 

function IndexGetDomListCross(&$paramTable, $stream, $step, $page, $indexCode)
{
  $indexListCrossStr= ExplorGetParam($paramTable, "Area/".$stream."/".$step."/".$indexCode."/listCross");
  if ($indexListCrossStr)
    {
      $domListCross = new DomDocument();
      $domListCross->loadXML("<?xml version=\"1.0\" encoding=\"UTF-8\" ?>".$indexListCrossStr); 
      return $domListCross;
    }
  else return NULL;
}
 
function IndexPrintListListCross(&$paramTable, $stream, $step, $page, &$domListCross, $indexCode, $indexValue )
{
  echo "\n<!-- This part is generated by IndexPrintListListCross (in Index.php) -->\n";

  $toNode=$domListCross->documentElement->firstChild;
  while ($toNode)
    {
      echo "<!-- ".$domListCross->saveXML($toNode)."-->\n";
      $crossCode=$toNode->getAttribute("cross");
      $hfdRoot="Data/".$stream."/".$step."/".$crossCode;
      $domHistoCross= HfdGetXmlDomFromIndexKey($paramTable,$hfdRoot, $indexValue);
      if (!$domHistoCross)
	{
	  $toNode=$toNode->nextSibling;
	  continue;
	}
      echo "<hr/>";
      echo "<h2>List of associated <i> ";
      echo $toNode->nodeValue;
      echo " </i></h2>";
      echo "<!-- ".$domHistoCross->saveXML($domHistoCross->documentElement)." -->";
      $histoListe=SxmlNodeGetFirstChildByTagName($domHistoCross->documentElement,"l");
      echo "<table><tr><th>Nombre de<br/>documents</th><th>Descripteur</th></tr>\n";
      foreach ($histoListe->childNodes as $lines) 
	{
	  $mcl=SxmlNodeGetFirstChildByTagName($lines,"a")->nodeValue;
	  echo "<tr>";
	  echo "<td>". SxmlNodeGetFirstChildByTagName($lines,"f")->nodeValue. "</td>";
	  echo "<td>";
	  echo '<a href="assoc.php?';
	  echo 'i1='. $indexCode;
	  echo '&k1='.$indexValue;
	  echo '&i2='.$toNode->nodeValue;        
	  echo '&k2='.$mcl;
	  echo '">';
	  echo  $mcl;
	  echo "</a>";
	  echo "</td>";
	  echo "</tr>\n";
	}
      echo "</table>";
      $toNode=$toNode->nextSibling;
    }
}

function IndexPrintArray(&$paramTable, &$array, $stream, $step, $page)
        {
            foreach ($array as $item) 
              {
                echo "<tr>\n";
                echo "<td>". '<a href="bibRecord.php?hk=' . $item.' ">'.$item.'</a> ' . "</td>\n";
                $domNotice=HfdGetXmlDomFromNumKey($paramTable, "Data/".$stream."/".$step."/"."biblio", $item);
		if (!$domNotice)
		  {
		    echo $paramTable["#errText"];
		    break;
		  }
                $notice=$domNotice->documentElement;
                $tei=SxmlNodeGetFirstChildByTagName($notice,"TEI");
                echo "<td>";
                ExplorPrintAuthorsCountry($paramTable, $domNotice, $tei, $stream, $step, $page);
                echo "</td>";
                echo "<td>";
                echo  TeiGetTitle($paramTable,$domNotice, $tei);
                echo "</td>";
                echo "</tr>";
              }
            echo "</table>";
        }


function AssocHeadPrintSortedList(&$paramTable, $assocCode,  $stream, $step, $page, $offset, $limit)
{
  $indexSortFile=$paramTable["#dataPath"].$assocCode.".sort";
  
  if (file_exists($indexSortFile))
    {
      $indexFileTable=file($indexSortFile);
      $i=0;
      echo "<table>";
      while ($i < count($indexFileTable) &&($i<($offset+$limit)))
        {
          $indexRecDocument=new DomDocument();
#          echo $indexFileTable[$i];
          $indexRecDocument->loadXML("<?xml version=\"1.0\" encoding=\"UTF-8\" ?>".$indexFileTable[$i]);
          echo "<tr><td>";
          $freq= SxmlNodeGetFirstChildByTagName($indexRecDocument->documentElement,"fij")->nodeValue;
          echo $freq;
          echo "</td><td>";
          $ti= SxmlNodeGetFirstChildByTagName(SxmlNodeGetFirstChildByTagName($indexRecDocument->documentElement,"ti"),"kw")->nodeValue;
          $tj= SxmlNodeGetFirstChildByTagName(SxmlNodeGetFirstChildByTagName($indexRecDocument->documentElement,"tj"),"kw")->nodeValue;
          echo "<a href=\"".ExplorGetParamK5($paramTable, "Area", $stream, $step, $page, "pageAssoc".$assocCode);
#	  $fromIndex=ExplorGetParamK2(&$paramTable,"assocFromIndex",$assocCode);
	  $fromIndex=ExplorGetParamK5($paramTable, "Area", $stream, $step, $assocCode, "fromCode");
	  echo "&i1=".$fromIndex;
	  echo "&i2=".$fromIndex;
	  echo "&k1=".$ti."&k2=".$tj."\">";
	  echo $ti."<b><i> ET </i></b>".$tj;
          echo"</a>";
          $i++;
          echo "</td></tr>\n";
        }
      echo "</table>\n";
    }
  else
    {
      echo "**** file ". $indexSortFile." not founded";
    }
} 

function ClusterHeadPrintSortedList(&$paramTable, $clusterCode,  $stream, $step, $page)
{
  $clusterFile=$paramTable["#dataPath"].$clusterCode;

  if (file_exists($clusterFile))
    {
      $clusterFileTable=file($clusterFile);
      $i=0;
      echo "Nombre de clusters :".count($clusterFileTable)."\n";
      echo "<table>";
      while ($i < count($clusterFileTable) )
	{
          $clusterRecDocument=new DomDocument();
          $clusterRecDocument->loadXML("<?xml version=\"1.0\" encoding=\"UTF-8\" ?>".$clusterFileTable[$i]);
	  $name= SxmlNodeGetFirstChildByTagName($clusterRecDocument->documentElement,"name")->nodeValue;
	  $freq= SxmlNodeGetFirstChildByTagName($clusterRecDocument->documentElement,"f")->nodeValue;
          $cid= SxmlNodeGetFirstChildByTagName($clusterRecDocument->documentElement,"code")->nodeValue;
          $nmot= SxmlNodeGetFirstChildByTagName($clusterRecDocument->documentElement,"nmot")->nodeValue;
	  if ($nmot=="2") {$i++;continue;}
          echo "<tr><td>";
          echo $freq.'</td><td><a href="cluster.php?clusterCode='.$clusterCode."&id=".$cid.'">'.$name."</a>";
	  $i++;
          echo "</td></tr>\n";
	}
      echo "</table>\n";
    }
  else
    {
      echo "**** file ". $clusterFile." not founded";
    }
    
}

function IndexItemPrintListRef(&$paramTable, &$domIndex, $stream, $step, $page, $from, $size)
{
  $done=0;
  $rank=0;
  $list= SxmlNodeGetFirstChildByTagName($domIndex->documentElement,"l");
  foreach ($list->childNodes as $eNode) 
    {
      if($rank<$from)
	{
	  $rank++;
	  continue;
	}
      if ($done > $size) return;
      $done++;
      $domNotice=ExplorGetBiblioFromHfdKey($paramTable,$stream, $step,  $eNode->nodeValue);
      if (!$domNotice)
	{
	  echo $paramTable["#errText"];
	  break;
	}
      $notice=$domNotice->documentElement;
      $tei=SxmlNodeGetFirstChildByTagName($notice,"TEI");
      if (!$tei)
	{
	  echo "**** probable Xml problem ****\n";
	}
      echo "<tr>\n";
      echo "<td>". '<a href="bibRecord.php?hk=' . $eNode->nodeValue.' ">'.$eNode->nodeValue.'</a> ';
      if ($date=TeiGetDateWhen($paramTable, $domNotice, $tei)) echo " (".$date.")"; 
      echo "</td>\n";
     
      echo "<td>";
      ExplorPrintAuthorsCountry($paramTable, $domNotice, $tei, $stream, $step, $page);
      echo "</td>";
      echo "<td>";
      echo  TeiGetTitle($paramTable,$domNotice, $tei);
      echo "</td>";
      echo "</tr>";
    }
}

function IndexFacetCompareCouple($c1, $c2)
{
  if ($c1[0] < $c2[0]) return 1;
  if ($c1[0] > $c2[0]) return -1;
  if ($c1[1] < $c2[1]) return -1;
  if ($c1[1] > $c2[1]) return 1;


  return 0;
}

function IndexFacetComputePrintListRef(&$paramTable, &$domIndex, $stream, $step, $page, $inputIndex, $inputTerm, $xpath, $targetIndex)
{
  echo "<p>\n";
#  echo $stream."\n";
#  echo $xpath."\n";

  $tableItem=array();
  $tableList=array();
  $tableItem2=array();
  $inputListHfdKey= SxmlNodeGetFirstChildByTagName($domIndex->documentElement,"l");
  foreach ($inputListHfdKey->childNodes as $eNode) 
    {
      $inputDocHfdKey=$eNode->nodeValue;
      $domNotice=ExplorGetBiblioFromHfdKey($paramTable,$stream, $step, $inputDocHfdKey);
      $notice=$domNotice->documentElement;
      $tei=SxmlNodeGetFirstChildByTagName($notice,"TEI");
      $itemPath=new DOMXPath($domNotice);
        if (($listItem=$itemPath->query($xpath,$tei))
      &&($listItem->length>0)
	    )
	  {
#	    echo "<ul>\n";
	    foreach($listItem as $item)
	      {
#		echo "<li>\n";
#		echo $item->nodeValue;
#		echo $eNode->nodeValue;
		if ($oldNum=$tableItem[$item->nodeValue])
		  {
		    $tableItem[$item->nodeValue]=$oldNum+1;
		  }
		else
		  {
		    $tableItem[$item->nodeValue]=1;
		    $tableList[$item->nodeValue]=array();
		  }
		array_push( $tableList[$item->nodeValue], $inputDocHfdKey);
#		echo "</li>\n";
#		echo "\n";
	      }
#	    echo "</ul>\n";
	  }
    }
#  print_r($tableItem);
#  print_r($tableList);
#  echo "<ul>\n";


  foreach($tableItem as $item => $num)
    {
#      echo "<li>\n";
#      echo $item;
#      echo $num;
#      echo "</li>\n";
      $tableItem2[]=array($num, $item);
    }
#  echo "</ul>\n";

#  print_r($tableItem2);

usort($tableItem2, "IndexFacetCompareCouple");

#  print_r($tableItem2);
echo "<ul>\n";
  foreach($tableItem2 as $tuple)
    {
      echo "<li>\n";
      echo "[".$tuple[0]."] ";
      echo '<a href="assoc.php?i1=';
      echo $inputIndex."&i2=";
      echo $targetIndex."&k1=".$inputTerm."&k2=".$tuple[1].'">';
      echo $tuple[1];
      echo "</a>";
      echo "</li>\n";
    }
  echo "</ul>\n";
  echo "</p>\n";
}

function IndexAssocSetParam(&$paramTable,  $stream, $step, $page, $dataStepPath, $array1, $array2, $intersectArray, $k1, $i1, $k2, $i2)
{

    $paramTable["#linkRecord1"]=ExplorGetParamK5($paramTable, "Area", $stream, $step, $page, "pageIndex".$i1)."&key=".$k1;
    $paramTable["#linkRecord2"]=ExplorGetParamK5($paramTable, "Area", $stream, $step, $page, "pageIndex".$i2)."&key=".$k2;

     $hcsBiblioPath=$dataStepPath."/biblio.hcs";
     $hcsBiblioRec=file($hcsBiblioPath);
     $hcsBiblioDocument=new DomDocument();
     $hcsBiblioDocument->loadXML("<?xml version=\"1.0\" encoding=\"UTF-8\" ?>".$hcsBiblioRec[0] );
     $paramTable["#corpusSize"]=$hcsBiblioDocument->documentElement->getElementsByTagName('nrec')->item(0)->nodeValue;
}

function IndexAssocPrintSquare($l, $color)
{
  echo "<td>" ;
  echo '<svg xmlns="http://www.w3.org/2000/svg" version="1.1" height="'.$l.'" width="'.$l.'">';
  echo '<rect width="100%" height="100%" rx="3" ry="3" style="fill:'.$color.';"/>';
  echo "</svg>\n" ;
  echo "</td>\n" ;
}
function IndexAssocPrintSquare3colors($l, $c1,$c2,$c3)
{
  echo "<td>" ;
  echo '<svg xmlns="http://www.w3.org/2000/svg" version="1.1" height="'.$l.'" width="'.$l.'">';
  echo '<rect width="100%" height="100%" rx="3" ry="3" style="fill:'.$c1.';"/>';
  echo '<rect width="66.66%" height="100%" x="33.33%" rx="3" ry="3" style="fill:'.$c3.';"/>';
  echo '<rect width="33.33%" height="100%" x="33.33%"  style="fill:'.$c2.';"/>';
  echo "</svg>\n" ;
  echo "</td>\n" ;
}

function IndexAssocPrintBox(&$paramTable,  $stream, $step, $page, $array1, $array2, $intersectArray, $k1, $i1, $k2, $i2)
{
  echo "<table><tr>";
 echo "    <td> <table>\n";
 echo "     <tr>\n";
 IndexAssocPrintSquare3colors("20px", "green","green","red");

 echo '<td><a href="'.$paramTable["#linkRecord1"].'">'.$k1."</a></td><td>".count($array1)."</td>";
 echo "     </tr>";
 echo "     <tr>\n";
 IndexAssocPrintSquare3colors("20px", "red","blue","blue");
 echo '<td><a href="'.$paramTable["#linkRecord2"].'">'.$k2."</a></td><td>".count($array2)."</td>";
 echo "     </tr>";
 echo "     <tr>\n";
 IndexAssocPrintSquare("20px", "green");
 echo '<td><a href="andNot.php?k1='.$k1."&i1=".$i1."&k2=".$k2 ."&i2=".$i2.'">'.$k1." <b><i>Sauf</i></b> ".$k2.'"</a></td>';
 echo "<td> ".(count($array1)-count($intersectArray))."</td>";
 echo "     </tr>";
 echo "     <tr>\n";
 IndexAssocPrintSquare("20px", "blue");
 echo '<td><a href="andNot.php?k1='.$k2."&i1=".$i2."&k2=".$k1 ."&i2=".$i1.'">'.$k2." <b><i>Sauf</i></b> ".$k1.'"</a></td>';
 echo "<td> ".(count($array2)-count($intersectArray))."</td>";
 echo "     </tr>";
 echo "     <tr>\n";
 IndexAssocPrintSquare("20px", "red");
 echo "<td>".$k1." <b><i>Et</i></b> ".$k2."</td><td> ".count($intersectArray)."</td>";
 echo "     </tr>";
 echo "     <tr>\n";
 IndexAssocPrintSquare3colors("20px", "green", "red", "blue");
 echo "<td>".$k1." <b><i>Ou</i></b> ".$k2."</td><td> ".(count($array1)+count($array2)-count($intersectArray))."</td>";
 echo "     </tr>";
 echo "     <tr>\n";
 IndexAssocPrintSquare("20px", "cornsilk");
 echo "<td><b><i>Corpus</i></b></td>";
 echo "<td>".$paramTable["#corpusSize"]."</td>";
 echo "     </tr>";
 echo "     </table>";
 echo "</td>";
 echo "<td>";
 $lf1=sqrt(count($array1)/$paramTable["#corpusSize"])*100;
 $lf2=sqrt(count($array2)/$paramTable["#corpusSize"])*100;
 $lf12=sqrt(count($intersectArray)/$paramTable["#corpusSize"])*100;
 echo '<svg xmlns="http://www.w3.org/2000/svg" version="1.1" height="200px" width="300px">';
 echo '<rect width="100%" height="100%" rx="10" ry="10" style="fill:cornsilk;"/>';
 echo '<rect width="'.$lf1.'%" height="'.$lf1.'%" rx="2" ry="2" x="'.(50-$lf1+$lf12/2).'%" y="'.(50-$lf1+$lf12/2).'%" style="fill:green;"/>';
 echo '<rect width="'.$lf2.'%" height="'.$lf2.'%" rx="2" ry="2" x="'.(50-$lf12/2).'%" y="'.(50-$lf12/2).'%" style="fill:blue;"/>';
 echo '<rect width="'.$lf12.'%" height="'.$lf12.'%" rx="2" ry="2" x="'.(50-$lf12/2).'%" y="'.(50-$lf12/2).'%" style="fill:red;"/>';
 echo '</svg>';
 echo "</td>";
 echo "<td>";
 echo '<img src="http://ticri.inpl-nancy.fr/wicri.pool/images//a/a2/1328101984_Zoom-in.png" width="100px">';
 echo "</td>";
 echo "<td>";
 $lbox=1.5*($lf1+$lf2);
 $zl1=$lf1/$lbox*100;
 $zl2=$lf2/$lbox*100;
 $zl12=$lf12/$lbox*100;
 echo '<svg xmlns="http://www.w3.org/2000/svg" version="1.1" height="200px" width="300px">\n';
 echo '<rect width="100%" height="100%" rx="10" ry="10" style="fill:cornsilk;"/>\n';
 echo '<a xlink:href="'.$paramTable["#linkRecord1"].'">\n';
 echo '<rect width="'.$zl1.'%" height="'.$zl1.'%" rx="2" ry="2" x="'.(50-$zl1+$zl12/2).'%" y="'.(50-$zl1+$zl12/2).'%" style="fill:green;"/>\n';
 echo "</a>\n";
 echo '<rect width="'.$zl2.'%" height="'.$zl2.'%" rx="2" ry="2" x="'.(50-$zl12/2).'%" y="'.(50-$zl12/2).'%" style="fill:blue;"/>\n';
 echo '<rect width="'.$zl12.'%" height="'.$zl12.'%" rx="2" ry="2" x="'.(50-$zl12/2).'%" y="'.(50-$zl12/2).'%" style="fill:red;"/>'."\n";
 echo "</svg>\n";
 echo "</td>";
 echo "</tr></table>";

}


   ?>
