/*   -*- coding: utf-8 -*-  */

/***********************************************************************
*
*      Module  : Sxml
*      Fichier : SxmlUnIndent.c
*      Auteur  : J. Ducloy et F. Parmentier
*
*
************************************************************************/
#include "SxmlNode.h"
#include <stdlib.h>    /* for exit */

    int getopt();
    extern char *optarg;

int main(int argc, char **argv)
{
  SxmlNode *doc;
  int cod_arg;
  
  SxmlUnIndentManager *indentManager;

  indentManager=SxmlUnIndentManagerCreate();

  while ((cod_arg = getopt(argc,argv,"pst:"))!=EOF)
    {
      switch(cod_arg) 
	{
	case 's':
	  indentManager->mode='s';
	  break;
	case 'p':
	  indentManager->mode='p';
	  break;
	case 't':
	  SxmlNodeUnIndentSetDict(indentManager, optarg);
	  indentManager->mode='s';
	  break;
	}
    }

  while ((doc=SxmlInputGetRecordLastItem()))
    {
      SxmlNode *nodeDoc;
      nodeDoc=SxmlNodeUnIndentDocument(indentManager, doc);
      if (!nodeDoc)continue;
      SxmlPrint(SxmlInputRecord);
    }
  exit(EXIT_SUCCESS);
}
