/*   -*- coding: utf-8 -*-  */
/*
Program for testing handling SxmlContainer
 */


#include "SxmlNode.h"
#include "Buffer.h"

int main()
{
  SxmlNode *d1;
  SxmlNode *d2;
  SxmlNode *r1;
  d1=SxmlLeafDoubleCreate("x", (double) 230);
  SxmlContainerFileSave(SxmlFirstChild(d1), stdout);
  putchar('\n');
  SxmlContainerFilePrint(SxmlFirstChild(d1), stdout);
  putchar('\n');
  SxmlPrint(d1);
  putchar('\n');
  SxmlSave(d1);
  putchar('\n');
  r1=SxmlElementCreate("root");
  SxmlAppendChild(r1,d1);
  SxmlPrint(r1);
  putchar('\n');
  SxmlSave(r1);
  putchar('\n');
  d2=SxmlFromString("<x><![double[244.00]]></x>");
  SxmlPrint(d2);
  putchar('\n');
  SxmlSave(d2);
  putchar('\n');
}

