/*   -*- coding: utf-8 -*-  */

/* TeiListBiblio2MediaWikiTable */

#include <stdio.h>     /* for printf */
#include <stdlib.h>    /* for exit */
#include <getopt.h>

#include "SxPath.h"
#include "TeiHandler.h"

SxmlNode *docInput;

char *areaName;

int main (int argc, char **argv) {
  int cod_arg;
  char *areaName;
  char *commentMess;

  areaName=NULL; /* mandatory */
  commentMess=NULL;

  while ((cod_arg = getopt(argc,argv,"a:c:"))!=EOF)
    {switch(cod_arg) 
      {
      case 'a':areaName=optarg;
	break;
      case 'c':commentMess=optarg;
	break;
      }
    }
  printf ("{| class=\"wikitable\"\n");
  printf ("!RBID\n");
  printf ("!Date\n");
  printf ("!Premier auteur\n");
  printf ("!Titre\n");
  if (commentMess)  printf ("!%s\n", commentMess);
   while ((docInput=SxmlInputNextDocumentElement()))
     {  
       char *rbid;
       char *date;
       char *firstAuthor;
       char *title;
       TeiHandlerInit(docInput);
       rbid= TeiGetIdnoRbid();
       date= TeiGetIdnoDate();
       firstAuthor=TeiGetFirstAuthor();
       title=TeiGetTitle (NULL, NULL);
       printf ("|-\n");
       printf ("|{{Explor lien |area=%s|type=RBID|clé=%s|texte=%s}}\n", areaName, rbid, rbid);
       if (date) printf ("|%s\n", date);
       else printf("|\n");
       if (firstAuthor) printf ("|%s\n", firstAuthor);
       else printf("|\n");
       if (title) printf ("|%s\n", title);
       else printf("|\n");
       if (commentMess) printf("|\n");
     }
 printf ("|}\n");
  exit (EXIT_SUCCESS);
}
