# -*- coding: utf-8 -*-

DIR_IMPORT=$DILIB/TestImportWicri

set -e

USAGE="usage: sh $DILIB_IMPORT/Wicri/Data/France/catLabosFrance.sh -d directory"

while getopts d: c
do
  case $c in
   d) DIR_IMPORT=$OPTARG;;
   \?) echo -$c $OPTARG unknowed option
       echo $USAGE
       exit 2;;
  esac
done

cat  $DIR_IMPORT/France/depRegFrance.wiki  >  $DILIB_IMPORT/Wicri/Data/France/depRegFrance.wiki
cat  $DIR_IMPORT/France/LabosAquitaine.wiki > $DILIB_IMPORT/Wicri/Data/France/LabosAquitaine.wiki
cat  $DIR_IMPORT/France/LabosBourgogne.wiki > $DILIB_IMPORT/Wicri/Data/France/LabosBourgogne.wiki
cat  $DIR_IMPORT/France/LabosBretagne.wiki > $DILIB_IMPORT/Wicri/Data/France/LabosBretagne.wiki
cat  $DIR_IMPORT/France/LabosCentre.wiki > $DILIB_IMPORT/Wicri/Data/France/LabosCentre.wiki
cat  $DIR_IMPORT/France/LabosFrancheComte.wiki > $DILIB_IMPORT/Wicri/Data/France/LabosFrancheComte.wiki
cat  $DIR_IMPORT/France/LabosIledeFrance.wiki > $DILIB_IMPORT/Wicri/Data/France/LabosIledeFrance.wiki
cat  $DIR_IMPORT/France/LabosLanguedoc.wiki > $DILIB_IMPORT/Wicri/Data/France/LabosLanguedoc.wiki
cat  $DIR_IMPORT/France/LabosPaca.wiki > $DILIB_IMPORT/Wicri/Data/France/LabosPaca.wiki
cat  $DIR_IMPORT/France/LabosMidiPyrenees.wiki > $DILIB_IMPORT/Wicri/Data/France/LabosMidiPyrenees.wiki
cat  $DIR_IMPORT/France/LabosRhoneAlpes.wiki > $DILIB_IMPORT/Wicri/Data/France/LabosRhoneAlpes.wiki
cat  $DIR_IMPORT/France/LabosNordPasDeCalais.wiki > $DILIB_IMPORT/Wicri/Data/France/LabosNordPasDeCalais.wiki

cat  $DIR_IMPORT/France/LabosOrgFr.wiki > $DILIB_IMPORT/Wicri/Data/France/LabosOrgFr.wiki

cat  $DIR_IMPORT/Lorraine/LabosFr.wiki > $DILIB_IMPORT/Wicri/Data/Lorraine/LabosFr.wiki
cat  $DIR_IMPORT/Lorraine/equipesLoriaFr.wiki > $DILIB_IMPORT/Wicri/Data/Lorraine/equipesLoriaFr.wiki

cat  $DIR_IMPORT/Alsace/LabosFr.wiki > $DILIB_IMPORT/Wicri/Data/Alsace/LabosFr.wiki
cat  $DIR_IMPORT/France/CnrsUpr.wiki > $DILIB_IMPORT/Wicri/Data/France/CnrsUpr.wiki
cat  $DIR_IMPORT/France/LabosInterUniv.wiki > $DILIB_IMPORT/Wicri/Data/France/LabosInterUniv.wiki

cat  $DIR_IMPORT/France/Hopitaux.wiki >  $DILIB_IMPORT/Wicri/Data/France/Hopitaux.wiki
cat  $DIR_IMPORT/France/Epst.wiki >  $DILIB_IMPORT/Wicri/Data/France/Epst.wiki

cat $DIR_IMPORT/France/BigUnivFranceFr.wiki > $DILIB_IMPORT/Wicri/Data/France/BigUnivFranceFr.wiki

cat $DIR_IMPORT/France/BigCitiesFranceFr.wiki > $DILIB_IMPORT/Wicri/Data/France/BigCitiesFranceFr.wiki

cat $DIR_IMPORT/France/CcsdTutelleExceptionsFrance.wiki >  $DILIB_IMPORT/Wicri/Data/France/CcsdTutelleExceptionsFrance.wiki

cat  $DIR_IMPORT/France/GrandesEcoles.wiki >  $DILIB_IMPORT/Wicri/Data/France/GrandesEcoles.wiki

#                                                                   ------------------ pers

cat $DIR_IMPORT/France/PersNord.wiki > $DILIB_IMPORT/Wicri/Data/France/PersNord.wiki
cat $DIR_IMPORT/France/PersRhoneAlpes.wiki > $DILIB_IMPORT/Wicri/Data/France/PersRhoneAlpes.wiki
cat $DIR_IMPORT/France/PersIleDeFrance.wiki > $DILIB_IMPORT/Wicri/Data/France/PersIleDeFrance.wiki

cat $DIR_IMPORT/Lorraine/pers.wiki > $DILIB_IMPORT/Wicri/Data/Lorraine/pers.wiki

cat $DIR_IMPORT/France/persNationalScope.wiki > $DILIB_IMPORT/Wicri/Data/France/persNationalScope.wiki

cat $DIR_IMPORT/France/RegionGeoFrance.wiki > $DILIB_IMPORT/Wicri/Data/France/RegionGeoFrance.wiki
cat $DIR_IMPORT/France/RegionGeoFrance2016.wiki > $DILIB_IMPORT/Wicri/Data/France/RegionGeoFrance2016.wiki


